Create webhook subscription
1 min
POST
https://app.amberflo.io/webhook
Body Parameters
- bodywebhook-post-requestDescription
- enabledbooleanDescriptionDefaulttrue
- topicstring<ready-product-invoices | customer-feed | account-pricing-feed | customer-pricing-feed | customer-pricing-plan-feed | webhook-test>requiredDescription
- destinationUrlstringrequiredDescription
- transformTemplatestring<default | amberflo-sfdc-app>requiredDescription
- authHeaderstring[]requiredDescription
- extraHeadersarray[]Description
Responses
200
- webhook-responseDescription
- objectwebhook-put-request
- idstringrequiredDescription
- enabledbooleanDescriptionDefaulttrue
- topicstring<ready-product-invoices | customer-feed | account-pricing-feed | customer-pricing-feed | customer-pricing-plan-feed | webhook-test>requiredDescription
- destinationUrlstringrequiredDescription
- transformTemplatestring<default | amberflo-sfdc-app>requiredDescription
- authHeaderstring[]requiredDescription
- extraHeadersarray[]Description
- object
- createTimeintegerDescription
- updateTimeintegerDescription
400
401
403
500
curl
curl --request POST \
--url https://app.amberflo.io/webhook \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"enabled": true,
"topic": "",
"destinationUrl": "",
"transformTemplate": "",
"authHeader": []
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"enabled": true,
"topic": "",
"destinationUrl": "",
"transformTemplate": "",
"authHeader": []
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/webhook", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/webhook")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"enabled": true,
"topic": "",
"destinationUrl": "",
"transformTemplate": "",
"authHeader": []
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/webhook"
payload = json.dumps({
"enabled": True,
"topic": "",
"destinationUrl": "",
"transformTemplate": "",
"authHeader": []
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Webhook subscription successfully created with assigned ID and configuration details
{
"id": "",
"enabled": false,
"topic": "",
"destinationUrl": "",
"transformTemplate": "",
"authHeader": [
""
],
"extraHeaders": [
[
""
]
],
"createTime": 0,
"updateTime": 0
}400
// Invalid request parameters or malformed request body
401
// Missing or invalid API key authentication
403
// Insufficient permissions to access this resource
500
// Internal server error occurred while processing request